import request from '@/service/index'



/**
 * 根据用户id获取用户学习报告情况
 * @param data 
 * @returns 
 */
 export const getReportByUser = (data: any) => {
  return request<API.LearnPlan.Task>({
    url: '/app/game-course/data/task4',
    method: 'post',
    data
  })
}


/**
 * 分享用户的学习报告
 * @param data 
 * @returns 
 */
export const shareUserReport = (data: any) => {
  return request<API.LearnPlan.Task>({
    url: '/app/game-course/data/task4/share',
    method: 'post',
    data
  })
}